com.sun.jna

## Class IntegerType

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Direct Known Subclasses:
    BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.ULONG_PTR, NativeLong, OaIdl.TYPEKIND, OaIdl.VARIANT_BOOL, Structure.FFIType.size_t, WinDef.BOOL, WinDef.CHAR, WinDef.DWORD, WinDef.DWORDLONG, WinDef.INT_PTR, WinDef.LONG, WinDef.LONGLONG, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.ULONG, WinDef.ULONGLONG, WinDef.USHORT, WinDef.WORD

      public abstract class IntegerType
      extends java.lang.Number
      implements NativeMapped

  Represents a native integer value, which may have a platform-specific size (e.g. `long` on unix-based platforms). May optionally indicate an unsigned attribute, such that when a value is extracted into a larger-sized container (e.g. `int` retrieved via `Number.longValue()`, the value will be unsigned. Default behavior is signed.
  Author:
    wmeissner@gmail.com, twalljava@java.net
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerType(int size)` Create a zero-valued signed IntegerType.
    `IntegerType(int size, boolean unsigned)` Create a zero-valued optionally unsigned IntegerType.
    `IntegerType(int size, long value)` Create a signed IntegerType with the given value.
    `IntegerType(int size, long value, boolean unsigned)` Create an optionally signed IntegerType with the given value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `doubleValue()`
    `boolean` | `equals(java.lang.Object rhs)`
    `float` | `floatValue()`
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
    `int` | `hashCode()`
    `int` | `intValue()`
    `long` | `longValue()`
    `java.lang.Class` | `nativeType()` Indicate the native type used by this converter.
    `void` | `setValue(long value)` Change the value for this data.
    `java.lang.Object` | `toNative()` Convert this object into a supported native type.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerType

          public IntegerType(int size)

      Create a zero-valued signed IntegerType.

    - #### IntegerType

          public IntegerType(int size,
                     boolean unsigned)

      Create a zero-valued optionally unsigned IntegerType.

    - #### IntegerType

          public IntegerType(int size,
                     long value)

      Create a signed IntegerType with the given value.

    - #### IntegerType

          public IntegerType(int size,
                     long value,
                     boolean unsigned)

      Create an optionally signed IntegerType with the given value.

  - ### Method Detail

    - #### setValue

          public void setValue(long value)

      Change the value for this data.

    - #### toNative

          public java.lang.Object toNative()

      Description copied from interface: `NativeMapped`
      Convert this object into a supported native type.
      Specified by:
        `toNative` in interface `NativeMapped`

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                    FromNativeContext context)

      Description copied from interface: `NativeMapped`
      Convert the given native object into its Java representation using the given context.
      Specified by:
        `fromNative` in interface `NativeMapped`

    - #### nativeType

          public java.lang.Class nativeType()

      Description copied from interface: `NativeMapped`
      Indicate the native type used by this converter.
      Specified by:
        `nativeType` in interface `NativeMapped`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `java.lang.Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `java.lang.Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `java.lang.Number`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `java.lang.Number`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.